# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'grocer/pushpackager/version'

Gem::Specification.new do |spec|
  spec.name          = "grocer-pushpackager"
  spec.version       = Grocer::Pushpackager::VERSION
  spec.authors       = ["Kurt Nelson"]
  spec.email         = ["kurtisnelson@gmail.com"]
  spec.description   = %q{Builds push packages for OS X Mavericks web notifications}
  spec.summary       = <<-DESC
                          To use push notifications to Safari/OS X with the APN service,
                          you must build a signed push package that is generated by your web server
                          for every user. This gem handles building that package.
                        DESC
  spec.homepage      = "https://github.com/grocer/grocer-pushpackager"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency 'pry'
  spec.add_development_dependency 'coveralls'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'rake'
  spec.add_dependency 'rubyzip'
end
